com.smartgwt.client.types

## Enum InlineEditEvent

- java.lang.Object
- - java.lang.Enum<InlineEditEvent>
  - - com.smartgwt.client.types.InlineEditEvent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<InlineEditEvent>

      public enum InlineEditEvent
      extends java.lang.Enum<InlineEditEvent>
      implements ValueEnum

  Event that will trigger inline editing. See `inlineEditEvent`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK` A single mouse click triggers inline editing
    `DBLORKEYPRESS` A double click triggers inline editing.
    `DOUBLECLICK` A double click triggers inline editing
    `NONE` No mouse event will trigger inline editing, but it can still be triggered by a call to `EditProxy.startInlineEditing()`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static InlineEditEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InlineEditEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK

          public static final InlineEditEvent CLICK

      A single mouse click triggers inline editing

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "click".

    - #### DOUBLECLICK

          public static final InlineEditEvent DOUBLECLICK

      A double click triggers inline editing

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "doubleClick".

    - #### NONE

          public static final InlineEditEvent NONE

      No mouse event will trigger inline editing, but it can still be triggered by a call to `EditProxy.startInlineEditing()`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### DBLORKEYPRESS

          public static final InlineEditEvent DBLORKEYPRESS

      A double click triggers inline editing. In addition, if the widget is selected, starting to type triggers inline editing.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dblOrKeypress".

  - ### Method Detail

    - #### values

          public static InlineEditEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InlineEditEvent c : InlineEditEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InlineEditEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`